clang-tools 10.0.0

Namespaces | Enumerations | Functions
Rename.cpp File Reference
`#include "refactor/Rename.h"`
`#include "AST.h"`
`#include "FindTarget.h"`
`#include "Logger.h"`
`#include "ParsedAST.h"`
`#include "Selection.h"`
`#include "SourceCode.h"`
`#include "index/SymbolCollector.h"`
`#include "clang/AST/DeclCXX.h"`
`#include "clang/AST/DeclTemplate.h"`
`#include "clang/Basic/SourceLocation.h"`
`#include "clang/Tooling/Refactoring/Rename/USRFindingAction.h"`
`#include "clang/Tooling/Syntax/Tokens.h"`
`#include "llvm/ADT/None.h"`
`#include "llvm/ADT/STLExtras.h"`
`#include "llvm/Support/Casting.h"`
`#include "llvm/Support/Error.h"`
`#include "llvm/Support/FormatVariadic.h"`
`#include <algorithm>`
Include dependency graph for Rename.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Enumerations
enum | clang::clangd::@745::ReasonToReject

## Functions
llvm::Expected< FileEdits > | clang::clangd::rename (const RenameInputs &RInputs)
| Renames all occurrences of the symbol. More...
llvm::Expected< Edit > | clang::clangd::buildRenameEdit (llvm::StringRef AbsFilePath, llvm::StringRef InitialCode, std::vector< Range > Occurrences, llvm::StringRef NewName)
| Generates rename edits that replaces all given occurrences with the NewName. More...
llvm::Optional< std::vector< Range > > | clang::clangd::adjustRenameRanges (llvm::StringRef DraftCode, llvm::StringRef Identifier, std::vector< Range > Indexed, const LangOptions &LangOpts)
| Adjusts indexed occurrences to match the current state of the file. More...
llvm::Optional< std::vector< Range > > | clang::clangd::getMappedRanges (ArrayRef< Range > Indexed, ArrayRef< Range > Lexed)
| Calculates the lexed occurrences that the given indexed occurrences map to. More...
size_t | clang::clangd::renameRangeAdjustmentCost (ArrayRef< Range > Indexed, ArrayRef< Range > Lexed, ArrayRef< size_t > MappedIndex)
| Evaluates how good the mapped result is. More...

## Enumeration Type Documentation

## ◆ ReasonToReject

enum clang::clangd::@745::ReasonToReject

Definition at line 99 of file Rename.cpp.